#!/bin/bash
#
# Usage:
#     bash test_transcribe.sh [CHANNEL_SELECTOR] [NEMO_ROOT]
#
# Examples 
#
# Test using
#     1) bash test_transcribe.sh 0
#     2) bash test_transcribe.sh 1
#     3) bash test_transcribe.sh reference_channel

# The following examples will raise an error:
#     1) bash test_transcribe.sh null # channel selector set to None
#     2) bash test_transcribe.sh 2
#     3) bash test_transcribe.sh non_existent_field
#

set -eou pipefail

# default to None
CHANNEL_SELECTOR=${1:-"null"}
echo "Using channel selector: ${CHANNEL_SELECTOR}"

NEMO_ROOT=${2:-$PWD}
echo "Using NEMO_ROOT: ${NEMO_ROOT}"

python ${NEMO_ROOT}/examples/asr/transcribe_speech.py \
    pretrained_name=nvidia/canary-1b \
    dataset_manifest=./mc_manifest.json \
    gt_lang_attr_name=source_lang \
    channel_selector=${CHANNEL_SELECTOR}